#include <iostream>

using namespace std;

int main()
{
    bool x=true;
    int n,l;
    cin>>n>>l;
    int h[n+1];
    for(int i=1;i<=n;i++)
    {
        cin>>h[i];
        if(l>=h[i])
        {
            cout<<i;
            x=false;
            break;
        }
    }
    if(x)
    {
        cout<<"-1";
    }
    return 0;
}